summaryrefslogtreecommitdiffstats
path: root/build
diff options
context:
space:
mode:
authormmoss@google.com <mmoss@google.com@0039d316-1c4b-4281-b951-d872f2087c98>2010-05-13 21:11:20 +0000
committermmoss@google.com <mmoss@google.com@0039d316-1c4b-4281-b951-d872f2087c98>2010-05-13 21:11:20 +0000
commitcd03d828c9e1a0b54394d36ee5792a5fffaef169 (patch)
tree875f0d5e9fb580bcead55b661607bc71a1a65e86 /build
parentffb1f15274a855d11bf634cd32a1eeaa225b6c99 (diff)
downloadchromium_src-cd03d828c9e1a0b54394d36ee5792a5fffaef169.zip
chromium_src-cd03d828c9e1a0b54394d36ee5792a5fffaef169.tar.gz
chromium_src-cd03d828c9e1a0b54394d36ee5792a5fffaef169.tar.bz2
Added cups development package depending on the version of linux.
BUG=none TEST=Please check that correct cups package gets installed. [submitted for gene@chromium.org, see http://codereview.chromium.org/2106001] Review URL: http://codereview.chromium.org/2072003 git-svn-id: svn://svn.chromium.org/chrome/trunk/src@47191 0039d316-1c4b-4281-b951-d872f2087c98
Diffstat (limited to 'build')
-rwxr-xr-xbuild/install-build-deps.sh21
1 files changed, 14 insertions, 7 deletions
diff --git a/build/install-build-deps.sh b/build/install-build-deps.sh
index 3e8e9ed..8261b70 100755
--- a/build/install-build-deps.sh
+++ b/build/install-build-deps.sh
@@ -135,13 +135,12 @@ fi
# Packages need for development
dev_list="apache2 bison fakeroot flex g++ gperf libapache2-mod-php5
- libasound2-dev libbz2-dev libcairo2-dev libcupsys2-dev
- libdbus-glib-1-dev libgconf2-dev libgl1-mesa-dev libglu1-mesa-dev
- libglib2.0-dev libgtk2.0-dev libjpeg62-dev libnspr4-dev libnss3-dev
- libpam0g-dev libsqlite3-dev libxslt1-dev libxss-dev lighttpd
- mesa-common-dev msttcorefonts patch perl php5-cgi pkg-config python
- python-dev rpm subversion ttf-dejavu-core ttf-kochi-gothic
- ttf-kochi-mincho wdiff"
+ libasound2-dev libbz2-dev libcairo2-dev libdbus-glib-1-dev
+ libgconf2-dev libgl1-mesa-dev libglu1-mesa-dev libglib2.0-dev
+ libgtk2.0-dev libjpeg62-dev libnspr4-dev libnss3-dev libpam0g-dev
+ libsqlite3-dev libxslt1-dev libxss-dev lighttpd mesa-common-dev
+ msttcorefonts patch perl php5-cgi pkg-config python python-dev rpm
+ subversion ttf-dejavu-core ttf-kochi-gothic ttf-kochi-mincho wdiff"
# Full list of required run-time libraries
lib_list="libatk1.0-0 libc6 libasound2 libcairo2 libdbus-glib-1-2 libexpat1
@@ -160,6 +159,14 @@ dbg_list="libatk1.0-dbg libc6-dbg libcairo2-dbg
libxfixes3-dbg libxi6-dbg libxinerama1-dbg libxrandr2-dbg
libxrender1-dbg zlib1g-dbg"
+# CUPS package changed it's name from hardy to the next version. Include
+# proper package here depending on the system.
+if ! egrep -q 'Ubuntu (8\.04|8\.10)' /etc/issue; then
+ dev_list="${dev_list} libcupsys2-dev"
+else
+ dev_list="${dev_list} libcups2-dev"
+fi
+
# Waits for the user to press 'Y' or 'N'. Either uppercase of lowercase is
# accepted. Returns 0 for 'Y' and 1 for 'N'. If an optional parameter has
# been provided to yes_no(), the function also accepts RETURN as a user input.